# Collect (Finance & Billing) The Finance, or Collect, API provides all the accounts receivable capabilities in Rhythm. This includes all aspects of Invoices, Credits, Payments, Credit Memos, and Debit Memos. Additionally, this API manages Batches and Fiscal Periods and can be used to download batches for import into your accounting package. Like most of the other Rhythm apps, the Collect API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. Version: v1-2025-04-18 ## Servers ``` https://collect.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Collect (Finance & Billing)](https://docs.api.rhythmsoftware.com/_bundle/apis/collect/collect-v1.yaml) ## Accounting Projects Accounting Projects ### Gets all of the accounting projects in the system. - [GET /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/listaccountingprojects.md): This method will scan all accounting projects and and return them to the caller. ### Creates a new accounting project record that does not already exist. - [POST /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/createaccountingproject.md): This method will auto-generate an ID and create a new accounting project. If an ID is specified for the accounting project, an error will be thrown. ### Execute Batch Operations - [POST /accountingProjects/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a accounting project from the system by its ID. - [DELETE /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/deleteaccountingproject.md): This method will delete a accounting project with the specified ID. ### Returns a accounting project from the system by its ID. - [GET /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/getaccountingproject.md): This method will look up a accounting project by the specified ID and return it back. ### Partially updates a accounting project with the specified ID. - [PATCH /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/patchaccountingproject.md): This method will patch an existing accounting project with the specified ID, using the HTTP PATCH specification. ### Updates a accounting project with the specified ID. - [PUT /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/updateaccountingproject.md): This method will update an existing accounting project with the specified ID. ## Bank Accounts Bank Accounts ### Gets all of the bank accounts in the system. - [GET /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/listbankaccounts.md): This method will scan all bank accounts and and return them to the caller. ### Creates a new bank account record that does not already exist. - [POST /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/createbankaccount.md): This method will auto-generate an ID and create a new bank account. If an ID is specified for the bank account, an error will be thrown. ### Execute Batch Operations - [POST /bankAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a bank account from the system by its ID. - [DELETE /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/deletebankaccount.md): This method will delete a bank account with the specified ID. ### Returns a bank account from the system by its ID. - [GET /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/getbankaccount.md): This method will look up a bank account by the specified ID and return it back. ### Partially updates a bank account with the specified ID. - [PATCH /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/patchbankaccount.md): This method will patch an existing bank account with the specified ID, using the HTTP PATCH specification. ### Updates a bank account with the specified ID. - [PUT /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/updatebankaccount.md): This method will update an existing bank account with the specified ID. ## Batch Assignment Settings Batch Assignment Settings ### Gets all of the batch assignment settings in the system. - [GET /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/listbatchassignmentsettings.md): This method will scan all batch assignment settings and and return them to the caller. ### Creates a new batch assignment setting record that does not already exist. - [POST /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/createbatchassignmentsetting.md): This method will auto-generate an ID and create a new batch assignment setting. If an ID is specified for the batch assignment setting, an error will be thrown. ### Execute Batch Operations - [POST /batchAssignmentSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### For a given transaction, determines the default batch - [POST /batchAssignmentSettings/{tenantId}/defaultBatch/{transactionType}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/calculatedefaultbatchfortransaction.md): For a given transaction, determines the default batch ### Returns a batch assignment setting from the system by its ID. - [DELETE /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/deletebatchassignmentsetting.md): This method will delete a batch assignment setting with the specified ID. ### Returns a batch assignment setting from the system by its ID. - [GET /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/getbatchassignmentsetting.md): This method will look up a batch assignment setting by the specified ID and return it back. ### Partially updates a batch assignment setting with the specified ID. - [PATCH /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/patchbatchassignmentsetting.md): This method will patch an existing batch assignment setting with the specified ID, using the HTTP PATCH specification. ### Updates a batch assignment setting with the specified ID. - [PUT /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/updatebatchassignmentsetting.md): This method will update an existing batch assignment setting with the specified ID. ## Batch Downloading Batch Downloading ### Initiates workflow to warm up inventory transactions - [POST /batchDownloading/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/warmupstepfunctions.md) ### Starts the process of downloading batches - [POST /batchDownloading/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/initiatebatchdownload.md): Starts the process of downloading batches ### Allows for previewing batch template - [POST /batchDownloading/{tenantId}/preview](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/previewbatchtemplate.md): Starts the process of downloading batches ## Batch Posting Batch Posting ### Initiates workflow to warm up inventory transactions - [POST /batchPosting/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/warmupstepfunctions.md) ### Previews the batch to ensure it can be posted, and reports any errors - [POST /batchPosting/{tenantId}/batchPostingPreviewRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/previewbatchposting.md): Previews the batch to ensure it can be posted, and reports any errors ### Initiates workflow to post multiple batches - [POST /batchPosting/{tenantId}/batchPostingRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/postbatches.md): This method will initiate the batch posting process for one or more supplied batches ### Initiates workflow to unpost multiple batches - [POST /batchPosting/{tenantId}/batchUnpostingRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/unpostbatches.md): This method will initiate the batch unposting process for one or more supplied batches ### Retrieves a subledger entry for a transaction - [GET /batchPosting/{tenantId}/subledgerEntry/{batchId}/{transactionId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/getsubledgerentryfortransaction.md): Retrieves a subledger entry for a transaction ## Batch Templates Batch Templates ### Gets all of the batch templates in the system. - [GET /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/listbatchtemplates.md): This method will scan all batch templates and and return them to the caller. ### Creates a new batch template record that does not already exist. - [POST /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/createbatchtemplate.md): This method will auto-generate an ID and create a new batch template. If an ID is specified for the batch template, an error will be thrown. ### Execute Batch Operations - [POST /batchTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a batch template from the system by its ID. - [DELETE /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/deletebatchtemplate.md): This method will delete a batch template with the specified ID. ### Returns a batch template from the system by its ID. - [GET /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/getbatchtemplate.md): This method will look up a batch template by the specified ID and return it back. ### Partially updates a batch template with the specified ID. - [PATCH /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/patchbatchtemplate.md): This method will patch an existing batch template with the specified ID, using the HTTP PATCH specification. ### Updates a batch template with the specified ID. - [PUT /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/updatebatchtemplate.md): This method will update an existing batch template with the specified ID. ## Batches Batches ### Gets all of the batches in the system. - [GET /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatches.md): This method will scan all batches and and return them to the caller. ### Creates a new batch record that does not already exist. - [POST /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/createbatch.md): This method will auto-generate an ID and create a new batch. If an ID is specified for the batch, an error will be thrown. ### Execute Batch Operations - [POST /batches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Recursively retrieve batches dependent on a set of batches - [GET /batches/{tenantId}/dependents](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/recursivelyretrievedependentbatches.md): Returns a list of child batches dependent on the batches specified ### Returns a list of records with the specified fiscal_year_id and fiscal_period - [GET /batches/{tenantId}/fiscal_period/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbyfiscalperiod.md): Returns a list of records with the specified fiscal_year_id and fiscal_period ### Searches for batches using predefined parameters - [POST /batches/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/searchforbatches.md): Searches for batches using predefined parameters ### Returns a list of records with the specified status - [GET /batches/{tenantId}/status/{status}/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbystatus.md): Returns a list of records with the specified status ### Returns a batch from the system by its ID. - [DELETE /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/deletebatch.md): This method will delete a batch with the specified ID. ### Returns a batch from the system by its ID. - [GET /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/getbatch.md): This method will look up a batch by the specified ID and return it back. ### Partially updates a batch with the specified ID. - [PATCH /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/patchbatch.md): This method will patch an existing batch with the specified ID, using the HTTP PATCH specification. ### Updates a batch with the specified ID. - [PUT /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/updatebatch.md): This method will update an existing batch with the specified ID. ## Billing Notices Billing Notices ### Gets all of the billing notices in the system. - [GET /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/listbillingnotices.md): This method will scan all billing notices and and return them to the caller. ### Creates a new billing notice record that does not already exist. - [POST /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/createbillingnotice.md): This method will auto-generate an ID and create a new billing notice. If an ID is specified for the billing notice, an error will be thrown. ### Execute Batch Operations - [POST /billingNotices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a billing notice from the system by its ID. - [DELETE /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/deletebillingnotice.md): This method will delete a billing notice with the specified ID. ### Returns a billing notice from the system by its ID. - [GET /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/getbillingnotice.md): This method will look up a billing notice by the specified ID and return it back. ### Partially updates a billing notice with the specified ID. - [PATCH /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/patchbillingnotice.md): This method will patch an existing billing notice with the specified ID, using the HTTP PATCH specification. ### Updates a billing notice with the specified ID. - [PUT /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/updatebillingnotice.md): This method will update an existing billing notice with the specified ID. ## Billing Run Actions Billing Run Actions ### Creates a new billing run action record that does not already exist. - [POST /billingRunActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/createbillingrunaction.md): This method will auto-generate an ID and create a new billing run action. If an ID is specified for the billing run action, an error will be thrown. ### Execute Batch Operations - [POST /billingRunActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified billing_run_id - [GET /billingRunActions/{tenantId}/billingRun/{billing_run_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/listactionsbybillingrunid.md): Returns a list of records with the specified billing_run_id ### Returns a billing run action from the system by its ID. - [DELETE /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/deletebillingrunaction.md): This method will delete a billing run action with the specified ID. ### Returns a billing run action from the system by its ID. - [GET /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/getbillingrunaction.md): This method will look up a billing run action by the specified ID and return it back. ### Partially updates a billing run action with the specified ID. - [PATCH /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/patchbillingrunaction.md): This method will patch an existing billing run action with the specified ID, using the HTTP PATCH specification. ### Updates a billing run action with the specified ID. - [PUT /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/updatebillingrunaction.md): This method will update an existing billing run action with the specified ID. ## Billing Runs Billing Runs ### Creates a new billing run record that does not already exist. - [POST /billingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/createbillingrun.md): This method will auto-generate an ID and create a new billing run. If an ID is specified for the billing run, an error will be thrown. ### Execute Batch Operations - [POST /billingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Generates a billing run from a template - [GET /billingRuns/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/generatebillingrunfromtemplate.md) ### Returns a list of records with the specified recurring_billing_run_id - [GET /billingRuns/{tenantId}/recurringBillingRun/{recurring_billing_run_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/listrunsbyrecurringbillingrunid.md): Returns a list of records with the specified recurring_billing_run_id ### Refreshes a billing run - [POST /billingRuns/{tenantId}/refresh/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/refreshbillingrun.md) ### Searches for billing runs using predefined parameters - [POST /billingRuns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/searchforbillingruns.md): Searches for billing runs using predefined parameters ### Returns a billing run from the system by its ID. - [DELETE /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/deletebillingrun.md): This method will delete a billing run with the specified ID. ### Returns a billing run from the system by its ID. - [GET /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/getbillingrun.md): This method will look up a billing run by the specified ID and return it back. ### Partially updates a billing run with the specified ID. - [PATCH /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/patchbillingrun.md): This method will patch an existing billing run with the specified ID, using the HTTP PATCH specification. ### Updates a billing run with the specified ID. - [PUT /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/updatebillingrun.md): This method will update an existing billing run with the specified ID. ## Billing Templates Billing Templates ### Gets all of the billing templates in the system. - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller. ### Creates a new billing template record that does not already exist. - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown. ### Execute Batch Operations - [POST /billingTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a billing template from the system by its ID. - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID. ### Returns a billing template from the system by its ID. - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back. ### Partially updates a billing template with the specified ID. - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification. ### Updates a billing template with the specified ID. - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID. ## Business Units Business Units ### Gets all of the business units in the system. - [GET /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/listbusinessunits.md): This method will scan all business units and and return them to the caller. ### Creates a new business unit record that does not already exist. - [POST /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/createbusinessunit.md): This method will auto-generate an ID and create a new business unit. If an ID is specified for the business unit, an error will be thrown. ### Execute Batch Operations - [POST /businessUnits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a business unit from the system by its ID. - [DELETE /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/deletebusinessunit.md): This method will delete a business unit with the specified ID. ### Returns a business unit from the system by its ID. - [GET /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/getbusinessunit.md): This method will look up a business unit by the specified ID and return it back. ### Partially updates a business unit with the specified ID. - [PATCH /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/patchbusinessunit.md): This method will patch an existing business unit with the specified ID, using the HTTP PATCH specification. ### Updates a business unit with the specified ID. - [PUT /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/updatebusinessunit.md): This method will update an existing business unit with the specified ID. ## Check Request Processes Check Request Processes ### Gets all of the check request processes in the system. - [GET /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/listcheckrequestprocesses.md): This method will scan all check request processes and and return them to the caller. ### Creates a new check request process record that does not already exist. - [POST /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/createcheckrequestprocess.md): This method will auto-generate an ID and create a new check request process. If an ID is specified for the check request process, an error will be thrown. ### Execute Batch Operations - [POST /checkRequestProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a check request process from the system by its ID. - [DELETE /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/deletecheckrequestprocess.md): This method will delete a check request process with the specified ID. ### Returns a check request process from the system by its ID. - [GET /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/getcheckrequestprocess.md): This method will look up a check request process by the specified ID and return it back. ### Partially updates a check request process with the specified ID. - [PATCH /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/patchcheckrequestprocess.md): This method will patch an existing check request process with the specified ID, using the HTTP PATCH specification. ### Updates a check request process with the specified ID. - [PUT /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/updatecheckrequestprocess.md): This method will update an existing check request process with the specified ID. ## Check Request Templates Check Request Templates ### Gets all of the check request templates in the system. - [GET /checkRequestTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/listcheckrequesttemplates.md): This method will scan all check request templates and and return them to the caller. ### Creates a new check request template record that does not already exist. - [POST /checkRequestTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/createcheckrequesttemplate.md): This method will auto-generate an ID and create a new check request template. If an ID is specified for the check request template, an error will be thrown. ### Execute Batch Operations - [POST /checkRequestTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a check request template from the system by its ID. - [DELETE /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/deletecheckrequesttemplate.md): This method will delete a check request template with the specified ID. ### Returns a check request template from the system by its ID. - [GET /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/getcheckrequesttemplate.md): This method will look up a check request template by the specified ID and return it back. ### Partially updates a check request template with the specified ID. - [PATCH /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/patchcheckrequesttemplate.md): This method will patch an existing check request template with the specified ID, using the HTTP PATCH specification. ### Updates a check request template with the specified ID. - [PUT /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/updatecheckrequesttemplate.md): This method will update an existing check request template with the specified ID. ## Check Requests Check Requests ### Gets all of the check requests in the system. - [GET /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/listcheckrequests.md): This method will scan all check requests and and return them to the caller. ### Creates a new check request record that does not already exist. - [POST /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/createcheckrequest.md): This method will auto-generate an ID and create a new check request. If an ID is specified for the check request, an error will be thrown. ### Execute Batch Operations - [POST /checkRequests/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Process the check request - [POST /checkRequests/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/processcheckrequest.md) ### Render the check request - [POST /checkRequests/{tenantId}/render](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/rendercheckrequest.md) ### Searches for check requests using predefined parameters - [POST /checkRequests/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/searchforcheckrequests.md): Searches for check requests using predefined parameters ### Returns a check request from the system by its ID. - [DELETE /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/deletecheckrequest.md): This method will delete a check request with the specified ID. ### Returns a check request from the system by its ID. - [GET /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/getcheckrequest.md): This method will look up a check request by the specified ID and return it back. ### Partially updates a check request with the specified ID. - [PATCH /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/patchcheckrequest.md): This method will patch an existing check request with the specified ID, using the HTTP PATCH specification. ### Updates a check request with the specified ID. - [PUT /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/updatecheckrequest.md): This method will update an existing check request with the specified ID. ## Cogs Entries Cogs Entries ### Execute Batch Operations - [POST /cogsEntries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of COGS entries in a fiscal period - [GET /cogsEntries/{tenantId}/fiscalperiod/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesbyfiscalperiod.md): Returns a list of COGS entries in a fiscal period ### Returns a list of COGS entries for a transaction ID - [GET /cogsEntries/{tenantId}/inventoryTransaction/{inventoryTransactionId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesforinventorytransaction.md): Returns a list of COGS entries for a transaction ID ### Returns a list of COGS entries for an order id - [GET /cogsEntries/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesfororder.md): Returns a list of COGS entries for an order id ### Returns a cogs entry from the system by its ID. - [DELETE /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/deletecogsentry.md): This method will delete a cogs entry with the specified ID. ### Returns a cogs entry from the system by its ID. - [GET /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/getcogsentry.md): This method will look up a cogs entry by the specified ID and return it back. ### Partially updates a cogs entry with the specified ID. - [PATCH /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/patchcogsentry.md): This method will patch an existing cogs entry with the specified ID, using the HTTP PATCH specification. ### Updates a cogs entry with the specified ID. - [PUT /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/updatecogsentry.md): This method will update an existing cogs entry with the specified ID. ## Credit Memos Credit Memos ### Initiates workflow to warm up inventory transactions - [POST /creditMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/warmupstepfunctions.md) ### Processes a new credit memo - [POST /creditMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemo.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown. ### Execute Batch Operations - [POST /creditMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified batch_id - [GET /creditMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id ### Searches for credit memos using predefined parameters - [POST /creditMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/searchforcreditmemos.md): Searches for credit memos using predefined parameters ### Gets all of the credit memos in the system. - [GET /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listcreditmemos.md): This method will scan all credit memos and and return them to the caller. ### Creates a new credit that doesn't already exist - [POST /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemosync.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown. ### Returns a credit memo from the system by its ID. - [GET /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/getcreditmemo.md): This method will look up a credit memo by the specified ID and return it back. ### Partially updates a credit memo with the specified ID. - [PATCH /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/patchcreditmemo.md): This method will patch an existing credit memo with the specified ID, using the HTTP PATCH specification. ### Updates a credit memo with the specified ID. - [PUT /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/updatecreditmemo.md): This method will update an existing credit memo with the specified ID. ## Credits Credits ### Initiates workflow to warm up inventory transactions - [POST /credits/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/warmupstepfunctions.md) ### Gets all of the credits in the system. - [GET /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcredits.md): This method will scan all credits and and return them to the caller. ### Creates a new credit record that does not already exist. - [POST /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ### Execute Batch Operations - [POST /credits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified batch_id - [GET /credits/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbybatchid.md): Returns a list of records with the specified batch_id ### Returns a list of records with the specified contact_id - [GET /credits/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbycontactid.md): Returns a list of records with the specified contact_id ### Creates a new credit record that does not already exist. - [POST /credits/{tenantId}/manual](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/createcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ### Returns a list of records with the specified organization_id - [GET /credits/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a list of records with the specified owner_id - [GET /credits/{tenantId}/owner/{owner_type}/{owner_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyownerid.md): Returns a list of records with the specified owner_id ### Searches for credits using predefined parameters - [POST /credits/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/searchforcredits.md): Searches for credits using predefined parameters ### Creates a new credit that doesn't already exist - [POST /credits/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcreditsync.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown. ### Returns a credit from the system by its ID. - [DELETE /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/deletecredit.md): This method will delete a credit with the specified ID. ### Returns a credit from the system by its ID. - [GET /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/getcredit.md): This method will look up a credit by the specified ID and return it back. ### Partially updates a credit with the specified ID. - [PATCH /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/patchcredit.md): This method will patch an existing credit with the specified ID, using the HTTP PATCH specification. ### Updates a credit with the specified ID. - [PUT /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/updatecredit.md): This method will update an existing credit with the specified ID. ## Currency Mapping Policies Currency Mapping Policies ### Gets all of the currency mapping policies in the system. - [GET /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/listcurrencymappingpolicies.md): This method will scan all currency mapping policies and and return them to the caller. ### Creates a new currency mapping policy record that does not already exist. - [POST /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/createcurrencymappingpolicy.md): This method will auto-generate an ID and create a new currency mapping policy. If an ID is specified for the currency mapping policy, an error will be thrown. ### Execute Batch Operations - [POST /currencyMappingPolicies/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a currency mapping policy from the system by its ID. - [DELETE /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/deletecurrencymappingpolicy.md): This method will delete a currency mapping policy with the specified ID. ### Returns a currency mapping policy from the system by its ID. - [GET /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/getcurrencymappingpolicy.md): This method will look up a currency mapping policy by the specified ID and return it back. ### Partially updates a currency mapping policy with the specified ID. - [PATCH /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/patchcurrencymappingpolicy.md): This method will patch an existing currency mapping policy with the specified ID, using the HTTP PATCH specification. ### Updates a currency mapping policy with the specified ID. - [PUT /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/updatecurrencymappingpolicy.md): This method will update an existing currency mapping policy with the specified ID. ## Debit Memos Debit Memos ### Initiates workflow to warm up inventory transactions - [POST /debitMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/warmupstepfunctions.md) ### Gets all of the debit memos in the system. - [GET /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listdebitmemos.md): This method will scan all debit memos and and return them to the caller. ### Processes a new debit memo - [POST /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemo.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown. ### Execute Batch Operations - [POST /debitMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified batch_id - [GET /debitMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id ### Searches for debit memos using predefined parameters - [POST /debitMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/searchfordebitmemos.md): Searches for debit memos using predefined parameters ### Creates a new debit that doesn't already exist - [POST /debitMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemosync.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown. ### Returns a debit memo from the system by its ID. - [GET /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/getdebitmemo.md): This method will look up a debit memo by the specified ID and return it back. ### Partially updates a debit memo with the specified ID. - [PATCH /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/patchdebitmemo.md): This method will patch an existing debit memo with the specified ID, using the HTTP PATCH specification. ### Updates a debit memo with the specified ID. - [PUT /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/updatedebitmemo.md): This method will update an existing debit memo with the specified ID. ## Departments Departments ### Gets all of the departments in the system. - [GET /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/listdepartments.md): This method will scan all departments and and return them to the caller. ### Creates a new department record that does not already exist. - [POST /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/createdepartment.md): This method will auto-generate an ID and create a new department. If an ID is specified for the department, an error will be thrown. ### Execute Batch Operations - [POST /departments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a department from the system by its ID. - [DELETE /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/deletedepartment.md): This method will delete a department with the specified ID. ### Returns a department from the system by its ID. - [GET /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/getdepartment.md): This method will look up a department by the specified ID and return it back. ### Partially updates a department with the specified ID. - [PATCH /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/patchdepartment.md): This method will patch an existing department with the specified ID, using the HTTP PATCH specification. ### Updates a department with the specified ID. - [PUT /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/updatedepartment.md): This method will update an existing department with the specified ID. ## Donation Products Donation Products ### Gets all of the donation products in the system. - [GET /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/listdonationproducts.md): This method will scan all donation products and and return them to the caller. ### Creates a new donation product record that does not already exist. - [POST /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/createdonationproduct.md): This method will auto-generate an ID and create a new donation product. If an ID is specified for the donation product, an error will be thrown. ### Execute Batch Operations - [POST /donationProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a donation product from the system by its ID. - [DELETE /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/deletedonationproduct.md): This method will delete a donation product with the specified ID. ### Returns a donation product from the system by its ID. - [GET /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/getdonationproduct.md): This method will look up a donation product by the specified ID and return it back. ### Partially updates a donation product with the specified ID. - [PATCH /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/patchdonationproduct.md): This method will patch an existing donation product with the specified ID, using the HTTP PATCH specification. ### Updates a donation product with the specified ID. - [PUT /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/updatedonationproduct.md): This method will update an existing donation product with the specified ID. ## Exchange Rates Exchange Rates ### Gets all of the exchange rates in the system. - [GET /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/listexchangerates.md): This method will scan all exchange rates and and return them to the caller. ### Creates a new exchange rate record that does not already exist. - [POST /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/createexchangerate.md): This method will auto-generate an ID and create a new exchange rate. If an ID is specified for the exchange rate, an error will be thrown. ### Execute Batch Operations - [POST /exchangeRates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a exchange rate from the system by its ID. - [DELETE /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/deleteexchangerate.md): This method will delete a exchange rate with the specified ID. ### Returns a exchange rate from the system by its ID. - [GET /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/getexchangerate.md): This method will look up a exchange rate by the specified ID and return it back. ### Partially updates a exchange rate with the specified ID. - [PATCH /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/patchexchangerate.md): This method will patch an existing exchange rate with the specified ID, using the HTTP PATCH specification. ### Updates a exchange rate with the specified ID. - [PUT /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/updateexchangerate.md): This method will update an existing exchange rate with the specified ID. ## External Payments External Payments ### Creates a new external payment record that does not already exist. - [POST /externalPayments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/createexternalpayment.md): This method will auto-generate an ID and create a new external payment. If an ID is specified for the external payment, an error will be thrown. ### Execute Batch Operations - [POST /externalPayments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /externalPayments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id ### Returns a list of records with the specified organization_id - [GET /externalPayments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a external payment from the system by its ID. - [DELETE /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/deleteexternalpayment.md): This method will delete a external payment with the specified ID. ### Returns a external payment from the system by its ID. - [GET /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/getexternalpayment.md): This method will look up a external payment by the specified ID and return it back. ### Partially updates a external payment with the specified ID. - [PATCH /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/patchexternalpayment.md): This method will patch an existing external payment with the specified ID, using the HTTP PATCH specification. ### Updates a external payment with the specified ID. - [PUT /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/updateexternalpayment.md): This method will update an existing external payment with the specified ID. ## Fiscal Years Fiscal Years ### Gets all of the fiscal years in the system. - [GET /fiscalYears/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listfiscalyears.md): This method will scan all fiscal years and and return them to the caller. ### Execute Batch Operations - [POST /fiscalYears/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified business_unit_id - [GET /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listyearsbybusinessunitid.md): Returns a list of records with the specified business_unit_id ### Creates the next fiscal year for a business unit - [POST /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/generatenewfiscalyear.md): This method will automatically create a fiscal year for a business unit in the future ### Initiates workflow to close a fiscal period - [POST /fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/closefiscalperiods.md): This method will initiate the fiscal period close process ### Gets the current fiscal year and period - [GET /fiscalYears/{tenantId}/current/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getcurrentfiscalperiod.md): This method looks at all of the fiscal years and periods and finds the first "open" one, which is the current ### Gets the fiscal year and fiscal period for a particular date - [GET /fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalperiodfordate.md): This method will return a fiscal year and fiscal period object ### Initiates workflow to reopen a fiscal period - [POST /fiscalYears/{tenantId}/reopen/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/reopenfiscalperiods.md): This method will initiate the fiscal period reopen process ### Returns a fiscal year from the system by its ID. - [DELETE /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/deletefiscalyear.md): This method will delete a fiscal year with the specified ID. ### Returns a fiscal year from the system by its ID. - [GET /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalyear.md): This method will look up a fiscal year by the specified ID and return it back. ### Partially updates a fiscal year with the specified ID. - [PATCH /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/patchfiscalyear.md): This method will patch an existing fiscal year with the specified ID, using the HTTP PATCH specification. ### Updates a fiscal year with the specified ID. - [PUT /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/updatefiscalyear.md): This method will update an existing fiscal year with the specified ID. ## Gateway Entities Gateway Entities ### Returns a gateway entity from the system by its ID. - [GET /gatewayEntities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-entities/getgatewayentity.md): This method will look up a gateway entity by the specified ID and return it back. ## Gateway Entries Gateway Entries ### Returns a gateway entry from the system by its ID. - [GET /gatewayEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-entries/getgatewayentry.md): This method will look up a gateway entry by the specified ID and return it back. ## Gateway Fees Gateway Fees ### Returns a gateway fee from the system by its ID. - [GET /gatewayFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-fees/getgatewayfee.md): This method will look up a gateway fee by the specified ID and return it back. ## Gl Accounts Gl Accounts ### Gets all of the gl accounts in the system. - [GET /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/listglaccounts.md): This method will scan all gl accounts and and return them to the caller. ### Creates a new gl account record that does not already exist. - [POST /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/createglaccount.md): This method will auto-generate an ID and create a new gl account. If an ID is specified for the gl account, an error will be thrown. ### Execute Batch Operations - [POST /glAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a gl account from the system by its ID. - [DELETE /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/deleteglaccount.md): This method will delete a gl account with the specified ID. ### Returns a gl account from the system by its ID. - [GET /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/getglaccount.md): This method will look up a gl account by the specified ID and return it back. ### Partially updates a gl account with the specified ID. - [PATCH /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/patchglaccount.md): This method will patch an existing gl account with the specified ID, using the HTTP PATCH specification. ### Updates a gl account with the specified ID. - [PUT /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/updateglaccount.md): This method will update an existing gl account with the specified ID. ## Installment Plans Installment Plans ### Gets all of the installment plans in the system. - [GET /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/listinstallmentplans.md): This method will scan all installment plans and and return them to the caller. ### Creates a new installment plan record that does not already exist. - [POST /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/createinstallmentplan.md): This method will auto-generate an ID and create a new installment plan. If an ID is specified for the installment plan, an error will be thrown. ### Execute Batch Operations - [POST /installmentPlans/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a installment plan from the system by its ID. - [DELETE /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/deleteinstallmentplan.md): This method will delete a installment plan with the specified ID. ### Returns a installment plan from the system by its ID. - [GET /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/getinstallmentplan.md): This method will look up a installment plan by the specified ID and return it back. ### Partially updates a installment plan with the specified ID. - [PATCH /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/patchinstallmentplan.md): This method will patch an existing installment plan with the specified ID, using the HTTP PATCH specification. ### Updates a installment plan with the specified ID. - [PUT /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/updateinstallmentplan.md): This method will update an existing installment plan with the specified ID. ## Installment Schedules Installment Schedules ### Gets all of the installment schedules in the system. - [GET /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedules.md): This method will scan all installment schedules and and return them to the caller. ### Creates a new installment schedule record that does not already exist. - [POST /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/createinstallmentschedule.md): This method will auto-generate an ID and create a new installment schedule. If an ID is specified for the installment schedule, an error will be thrown. ### Execute Batch Operations - [POST /installmentSchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns all installment schedules by order id - [GET /installmentSchedules/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedulesbyorderid.md): Returns all installment schedules by order id ### Process Installment Schedule - [POST /installmentSchedules/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/processinstallmentschedule.md): Will process the schedule, creating invoices/payments or orders as necessary ### Returns a installment schedule from the system by its ID. - [DELETE /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/deleteinstallmentschedule.md): This method will delete a installment schedule with the specified ID. ### Returns a installment schedule from the system by its ID. - [GET /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/getinstallmentschedule.md): This method will look up a installment schedule by the specified ID and return it back. ### Partially updates a installment schedule with the specified ID. - [PATCH /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/patchinstallmentschedule.md): This method will patch an existing installment schedule with the specified ID, using the HTTP PATCH specification. ### Updates a installment schedule with the specified ID. - [PUT /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/updateinstallmentschedule.md): This method will update an existing installment schedule with the specified ID. ## Invoice Payment Terms Invoice Payment Terms ### Gets all of the invoice payment terms in the system. - [GET /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/listinvoicepaymentterms.md): This method will scan all invoice payment terms and and return them to the caller. ### Creates a new invoice payment term record that does not already exist. - [POST /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/createinvoicepaymentterm.md): This method will auto-generate an ID and create a new invoice payment term. If an ID is specified for the invoice payment term, an error will be thrown. ### Execute Batch Operations - [POST /invoicePaymentTerms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a invoice payment term from the system by its ID. - [DELETE /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/deleteinvoicepaymentterm.md): This method will delete a invoice payment term with the specified ID. ### Returns a invoice payment term from the system by its ID. - [GET /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/getinvoicepaymentterm.md): This method will look up a invoice payment term by the specified ID and return it back. ### Partially updates a invoice payment term with the specified ID. - [PATCH /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/patchinvoicepaymentterm.md): This method will patch an existing invoice payment term with the specified ID, using the HTTP PATCH specification. ### Updates a invoice payment term with the specified ID. - [PUT /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/updateinvoicepaymentterm.md): This method will update an existing invoice payment term with the specified ID. ## Invoice Templates Invoice Templates ### Gets all of the invoice templates in the system. - [GET /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/listinvoicetemplates.md): This method will scan all invoice templates and and return them to the caller. ### Creates a new invoice template record that does not already exist. - [POST /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/createinvoicetemplate.md): This method will auto-generate an ID and create a new invoice template. If an ID is specified for the invoice template, an error will be thrown. ### Execute Batch Operations - [POST /invoiceTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a invoice template from the system by its ID. - [DELETE /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/deleteinvoicetemplate.md): This method will delete a invoice template with the specified ID. ### Returns a invoice template from the system by its ID. - [GET /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/getinvoicetemplate.md): This method will look up a invoice template by the specified ID and return it back. ### Partially updates a invoice template with the specified ID. - [PATCH /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/patchinvoicetemplate.md): This method will patch an existing invoice template with the specified ID, using the HTTP PATCH specification. ### Updates a invoice template with the specified ID. - [PUT /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/updateinvoicetemplate.md): This method will update an existing invoice template with the specified ID. ## Invoice Types Invoice Types ### Gets all of the invoice types in the system. - [GET /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/listinvoicetypes.md): This method will scan all invoice types and and return them to the caller. ### Creates a new invoice type record that does not already exist. - [POST /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/createinvoicetype.md): This method will auto-generate an ID and create a new invoice type. If an ID is specified for the invoice type, an error will be thrown. ### Execute Batch Operations - [POST /invoiceTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a invoice type from the system by its ID. - [DELETE /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/deleteinvoicetype.md): This method will delete a invoice type with the specified ID. ### Returns a invoice type from the system by its ID. - [GET /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/getinvoicetype.md): This method will look up a invoice type by the specified ID and return it back. ### Partially updates a invoice type with the specified ID. - [PATCH /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/patchinvoicetype.md): This method will patch an existing invoice type with the specified ID, using the HTTP PATCH specification. ### Updates a invoice type with the specified ID. - [PUT /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/updateinvoicetype.md): This method will update an existing invoice type with the specified ID. ## Invoices Invoices ### Returns the default invoice template - [GET /invoices/defaultTemplate/invoice](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getdefaultinvoicetemplate.md): Returns the default invoice template ### Returns the default invoice template - [GET /invoices/defaultTemplateAndEmail/invoice](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getdefaultinvoicetemplateandemail.md): Returns the default invoice template ### Initiates workflow to warm up inventory transactions - [POST /invoices/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/warmupstepfunctions.md) ### Creates a new invoice record that does not already exist. - [POST /invoices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/processinvoice.md): This method will auto-generate an ID and create a new invoice. If an ID is specified for the invoice, an error will be thrown. ### Processes an invoice adjustment for the invoice with the specified ID - [PUT /invoices/{tenantId}/adjustment/sync/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/adjustinvoiceamountssync.md): This method will start an workflow to adjust an invoice, returning an execution token. ### Processes an invoice adjustment for the invoice with the specified ID - [PUT /invoices/{tenantId}/adjustment/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/adjustinvoiceamounts.md): This method will start an workflow to adjust an invoice, returning an execution token. ### Execute Batch Operations - [POST /invoices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified batch_id - [GET /invoices/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybatchid.md): Returns a list of records with the specified batch_id ### Returns a list of records with the specified bill_to_contact_id - [GET /invoices/{tenantId}/billToContact/{bill_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybilltocontactid.md): Returns a list of records with the specified bill_to_contact_id ### Returns a list of records with the specified bill_to_organization_id - [GET /invoices/{tenantId}/billToOrganization/{bill_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybilltoorganizationid.md): Returns a list of records with the specified bill_to_organization_id ### Emails an HTML version of the invoice - [POST /invoices/{tenantId}/email/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/emailinvoice.md): Send an email of the invoice ### Returns a list of records with the specified number - [GET /invoices/{tenantId}/number/{number}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbynumber.md): Returns a list of records with the specified number ### Returns a list of records with the specified order_id - [GET /invoices/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbyorderid.md): Returns a list of records with the specified order_id ### Returns a list of records with the specified owner - [GET /invoices/{tenantId}/owner/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbyowner.md): Returns a list of records with the specified owner ### Gets the URL for public payment of the invoice - [GET /invoices/{tenantId}/paymentLink/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getpublicpaymentlink.md): Returns a link that can be used to share an invoice and payable ### Gets all of the invoices in the system for a given contact. - [GET /invoices/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesforportal.md): This method will scan all invoices and and return them to the caller for a given contact. ### Gets the amount of open invoices for a contact - [GET /invoices/{tenantId}/portal/contact/{portalContactId}/balance](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getcontactbalance.md): Gets the amount of open invoices for a contact ### Returns a invoice from the system by its ID for a given contact. - [GET /invoices/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoiceforportal.md): This method will look up a invoice by the specified ID and return it back (for a portal contact) ### Gets all of the invoices in the system for a given organization. - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesforportalbyorganization.md): This method will scan all invoices and and return them to the caller for a given organization. ### Gets the amount of open invoices for a organization - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}/balance](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getorganizationbalance.md): Gets the amount of open invoices for a organization ### Returns a invoice from the system by its ID for a given organization. - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoiceforportal.md): This method will look up a invoice by the specified ID and return it back (for a portal organization) ### Sends out a preview of the CRC notification email - [POST /invoices/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/previewemail.md): Sends out a preview of the CRC notification email ### Sends out a preview of the notification template - [POST /invoices/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/previewtemplate.md): Sends out a preview of the notification template ### Generates a PDF and returns the public link for download - [GET /invoices/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/downloadpdf.md): Generates a PDF and returns the public link for download ### Gets Public Invoice information - [GET /invoices/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoicepublicly.md): Public endpoint that allows for retrieval of invoice information, provided the accurate sharing secret is supplied ### Finds all legacy invoices with an open balance and regenerates them - [POST /invoices/{tenantId}/regenerateOpenInvoices/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/regeneratelegacyopeninvoices.md): Finds all legacy invoices with an open balance and regenerates them ### Generates a PDF and returns the public link for download - [GET /invoices/{tenantId}/renderEmail/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/renderinvoiceemail.md): Generates a PDF and returns the public link for download ### Searches for invoices using predefined parameters - [POST /invoices/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/searchforinvoices.md): Searches for invoices using predefined parameters ### This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated. - [POST /invoices/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/processinvoicesync.md): Processes an invoice ### Returns a invoice from the system by its ID. - [DELETE /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/deleteinvoice.md): This method will delete a invoice with the specified ID. ### Returns a invoice from the system by its ID. - [GET /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoice.md): This method will look up a invoice by the specified ID and return it back. ### Partially updates a invoice with the specified ID. - [PATCH /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/patchinvoice.md): This method will patch an existing invoice with the specified ID, using the HTTP PATCH specification. ### Updates a invoice with the specified ID. - [PUT /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/updateinvoice.md): This method will update an existing invoice with the specified ID. ## Late Fee Rules Late Fee Rules ### Gets all of the late fee rules in the system. - [GET /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/listlatefeerules.md): This method will scan all late fee rules and and return them to the caller. ### Creates a new late fee rule record that does not already exist. - [POST /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/createlatefeerule.md): This method will auto-generate an ID and create a new late fee rule. If an ID is specified for the late fee rule, an error will be thrown. ### Execute Batch Operations - [POST /lateFeeRules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a late fee rule from the system by its ID. - [DELETE /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/deletelatefeerule.md): This method will delete a late fee rule with the specified ID. ### Returns a late fee rule from the system by its ID. - [GET /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/getlatefeerule.md): This method will look up a late fee rule by the specified ID and return it back. ### Partially updates a late fee rule with the specified ID. - [PATCH /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/patchlatefeerule.md): This method will patch an existing late fee rule with the specified ID, using the HTTP PATCH specification. ### Updates a late fee rule with the specified ID. - [PUT /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/updatelatefeerule.md): This method will update an existing late fee rule with the specified ID. ## Late Fees Late Fees ### Gets all of the late fees in the system. - [GET /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/listlatefees.md): This method will scan all late fees and and return them to the caller. ### Creates a new late fee record that does not already exist. - [POST /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/createlatefee.md): This method will auto-generate an ID and create a new late fee. If an ID is specified for the late fee, an error will be thrown. ### Execute Batch Operations - [POST /lateFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a late fee from the system by its ID. - [DELETE /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/deletelatefee.md): This method will delete a late fee with the specified ID. ### Returns a late fee from the system by its ID. - [GET /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/getlatefee.md): This method will look up a late fee by the specified ID and return it back. ### Partially updates a late fee with the specified ID. - [PATCH /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/patchlatefee.md): This method will patch an existing late fee with the specified ID, using the HTTP PATCH specification. ### Updates a late fee with the specified ID. - [PUT /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/updatelatefee.md): This method will update an existing late fee with the specified ID. ## Legacy Import Products Legacy Import Products ### Gets all of the legacy import products in the system. - [GET /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/listlegacyimportproducts.md): This method will scan all legacy import products and and return them to the caller. ### Creates a new legacy import product record that does not already exist. - [POST /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/createlegacyimportproduct.md): This method will auto-generate an ID and create a new legacy import product. If an ID is specified for the legacy import product, an error will be thrown. ### Execute Batch Operations - [POST /legacyImportProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a legacy import product from the system by its ID. - [DELETE /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/deletelegacyimportproduct.md): This method will delete a legacy import product with the specified ID. ### Returns a legacy import product from the system by its ID. - [GET /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/getlegacyimportproduct.md): This method will look up a legacy import product by the specified ID and return it back. ### Partially updates a legacy import product with the specified ID. - [PATCH /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/patchlegacyimportproduct.md): This method will patch an existing legacy import product with the specified ID, using the HTTP PATCH specification. ### Updates a legacy import product with the specified ID. - [PUT /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/updatelegacyimportproduct.md): This method will update an existing legacy import product with the specified ID. ## Merchant Accounts Merchant Accounts ### Gets all of the merchant accounts in the system. - [GET /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccounts.md): This method will scan all merchant accounts and and return them to the caller. ### Creates a new merchant account record that does not already exist. - [POST /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/createmerchantaccount.md): This method will auto-generate an ID and create a new merchant account. If an ID is specified for the merchant account, an error will be thrown. ### Execute Batch Operations - [POST /merchantAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets all of the merchant accounts in the system. - [GET /merchantAccounts/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccountspublic.md): This method will scan all merchant accounts and and return them to the caller. ### Returns a merchant account from the system by its ID. - [DELETE /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/deletemerchantaccount.md): This method will delete a merchant account with the specified ID. ### Returns a merchant account from the system by its ID. - [GET /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/getmerchantaccount.md): This method will look up a merchant account by the specified ID and return it back. ### Partially updates a merchant account with the specified ID. - [PATCH /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/patchmerchantaccount.md): This method will patch an existing merchant account with the specified ID, using the HTTP PATCH specification. ### Updates a merchant account with the specified ID. - [PUT /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/updatemerchantaccount.md): This method will update an existing merchant account with the specified ID. ## Miscellaneous Products Miscellaneous Products ### Gets all of the miscellaneous products in the system. - [GET /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/listmiscellaneousproducts.md): This method will scan all miscellaneous products and and return them to the caller. ### Creates a new miscellaneous product record that does not already exist. - [POST /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/createmiscellaneousproduct.md): This method will auto-generate an ID and create a new miscellaneous product. If an ID is specified for the miscellaneous product, an error will be thrown. ### Execute Batch Operations - [POST /miscellaneousProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a miscellaneous product from the system by its ID. - [DELETE /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/deletemiscellaneousproduct.md): This method will delete a miscellaneous product with the specified ID. ### Returns a miscellaneous product from the system by its ID. - [GET /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/getmiscellaneousproduct.md): This method will look up a miscellaneous product by the specified ID and return it back. ### Partially updates a miscellaneous product with the specified ID. - [PATCH /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/patchmiscellaneousproduct.md): This method will patch an existing miscellaneous product with the specified ID, using the HTTP PATCH specification. ### Updates a miscellaneous product with the specified ID. - [PUT /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/updatemiscellaneousproduct.md): This method will update an existing miscellaneous product with the specified ID. ## Payment Receipt Templates Payment Receipt Templates ### Gets all of the payment receipt templates in the system. - [GET /paymentReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/listpaymentreceipttemplates.md): This method will scan all payment receipt templates and and return them to the caller. ### Creates a new payment receipt template record that does not already exist. - [POST /paymentReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/createpaymentreceipttemplate.md): This method will auto-generate an ID and create a new payment receipt template. If an ID is specified for the payment receipt template, an error will be thrown. ### Execute Batch Operations - [POST /paymentReceiptTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a payment receipt template from the system by its ID. - [DELETE /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/deletepaymentreceipttemplate.md): This method will delete a payment receipt template with the specified ID. ### Returns a payment receipt template from the system by its ID. - [GET /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/getpaymentreceipttemplate.md): This method will look up a payment receipt template by the specified ID and return it back. ### Partially updates a payment receipt template with the specified ID. - [PATCH /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/patchpaymentreceipttemplate.md): This method will patch an existing payment receipt template with the specified ID, using the HTTP PATCH specification. ### Updates a payment receipt template with the specified ID. - [PUT /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/updatepaymentreceipttemplate.md): This method will update an existing payment receipt template with the specified ID. ## Payments Payments ### Returns the default payment template - [GET /payments/defaultTemplate/paymentReceipt](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymentreceipttemplate.md): Returns the default payment template ### Returns the default payment template - [GET /payments/defaultTemplateAndEmail/payment](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymenttemplateandemail.md): Returns the default payment template ### Initiates workflow to warm up inventory transactions - [POST /payments/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/warmupstepfunctions.md) ### Processes a payment - [POST /payments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpayment.md): This method will auto-generate an ID and create a new payment. If an ID is specified for the payment, an error will be thrown. ### Execute Batch Operations - [POST /payments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified batch_id - [GET /payments/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbybatchid.md): Returns a list of records with the specified batch_id ### Returns a list of records with the specified contact_id - [GET /payments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id ### Emails an HTML version of the payment - [POST /payments/{tenantId}/email/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/emailpayment.md): Send an email of the payment ### Returns a list of records with the specified order_id - [GET /payments/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorderid.md): Returns a list of records with the specified order_id ### Returns a list of records with the specified organization_id - [GET /payments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id ### Returns a list of records with the specified owner - [GET /payments/{tenantId}/owner/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyowner.md): Returns a list of records with the specified owner ### Gets all of the payments in the system for a given contact. - [GET /payments/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportal.md): This method will scan all payments and and return them to the caller for a given contact. ### Returns a payment from the system by its ID for a given contact. - [GET /payments/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal contact) ### Gets all of the payments in the system for a given organization. - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportalbyorganization.md): This method will scan all payments and and return them to the caller for a given organization. ### Returns a payment from the system by its ID for a given organization. - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal organization) ### Sends out a preview of the CRC notification email - [POST /payments/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewemail.md): Sends out a preview of the CRC notification email ### Sends out a preview of the notification template - [POST /payments/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewtemplate.md): Sends out a preview of the notification template ### Generates a PDF and returns the public link for download - [GET /payments/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/downloadpdf.md): Generates a PDF and returns the public link for download ### Processes a public payment - [POST /payments/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpayment.md): Allows for publicly payable invoices by taking a payment and processing it anonymously ### Processes a public payment - [POST /payments/{tenantId}/public/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpaymentsync.md): Allows for publicly payable invoices by taking a payment and processing it anonymously ### Generates a PDF and returns the public link for download - [GET /payments/{tenantId}/renderEmail/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/renderpaymentemail.md): Generates a PDF and returns the public link for download ### Searches for payments using predefined parameters - [POST /payments/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/searchforpayments.md): Searches for payments using predefined parameters ### This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated. - [POST /payments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpaymentsync.md): Processes an payment ### Returns a payment from the system by its ID. - [DELETE /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/deletepayment.md): This method will delete a payment with the specified ID. ### Returns a payment from the system by its ID. - [GET /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpayment.md): This method will look up a payment by the specified ID and return it back. ### Partially updates a payment with the specified ID. - [PATCH /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/patchpayment.md): This method will patch an existing payment
[...]
